<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>CRS NFT generator</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/ethers/5.6.9/ethers.umd.min.js" integrity="sha512-Veaz5IU2iRpa0BBrJlJeRgfJ7OAHWtVJZTXvgdH7s3ffsLUChllMCqC0Bb+eeRxGlrZ06iYIE/R3KsciCrgv3A==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
  </head>
  <body>
    <div>
      <form>
        <div>
          <h1>Select CRS provider</h1>
          NFT controller contract:
          <select id="crs_controller" placeholder="NFT controller contract">
            <option selected="selected" value="identity_controller">L7L</option>
            <option value="avatar_controller">AVATAR</option>
            <option value="contributor_controller">CONTRIBUTOR</option>
          </select>
        </div>
        
        <div>
          <h1>First make commitment</h1>
          <input id="crs_commit_name" placeholder="CRS name" type="text" />
          <input id="crs_secret" type="hidden" />
          <input id="crs_rent" type="hidden" />
          <input id="crs_commit" type="button" value="Commit" />
          <div id="crs_commit_mining" style="display: none">Awaiting transaction publishing</div>
          <div style="display: none">Awaiting maturation &nbsp; <span id="crs_maturation">60<span></div>
        </div>

        <div>
          <h1>Then register with supplied commitment</h1>
          <input id="crs_reg_name" placeholder="CRS name" type="text" />
          <input id="crs_commitment" placeholder="Commitment token" type="text" />
          <input id="crs_duration" value="31556000" type="number" /> <!-- one year -->
          <input id="crs_register" disabled="disabled" type="button" value="Register" />
          <div id="crs_done" style="display: none">Please, refresh the page to register a new NFT</div>
        </div>

        <div style="margin-top: 50px">
          <h1>Manage identity or avatar record (for NFT owner)</h1>
          <input id="crs_manage_name" size="40" placeholder="Name with suffix (e.g. john.l7l or john.avatar)" type="text" />
          <div>
            <h2>Text records</h2>
            <div>
              <input id="crs_manage_text_key" placeholder="Text key" type="text" />
              <input id="crs_manage_text_value" placeholder="Text value" type="text" />
              <input id="crs_manage_get" disabled="disabled" type="button" value="Get" />
              <input id="crs_manage_set" disabled="disabled" type="button" value="Set" />
            </div>
          </div>
          <div>
            <h2>Leveling</h2>
            <div>
              <input id="crs_manage_level_exp" placeholder="Total experience" type="text" />
              <input id="crs_manage_level_level" placeholder="Total level" type="text" />
              <input id="crs_manage_level_burn_exp" placeholder="Experience tokens to burn" type="text" />
              <input id="crs_manage_level_load" disabled="disabled" type="button" value="Load" />
              <input id="crs_manage_level_burn" disabled="disabled" type="button" value="Burn & Level" />
            </div>
          </div>
        </div>
      </form>
    </div>

    <div>
      <h1>Investor NFT mint</h1>
      <p><input id="inft_phase" placeholder="Mint phase" type="text" /></p>
      <p><textarea placeholder="Put wallets to whitelist each on a new line" rows="10" cols="50" id="inft_whitelist"></textarea></p>
      <p><textarea id="inft_whitelist_proof_values" rows="3" cols="50"></textarea></p>
      <p>
        <input id="inft_whitelist_apply" type="button" value="Whitelist" />
        <input id="inft_whitelist_proof" type="button" value="Generate Proofs" />
        <input id="inft_mint" type="button" value="Mint" />
      </p>
    </div>

    <script src="index.js"></script>
  </body>
</html>